sections:
  main:
    display: Main
    fields:
      -
        handle: tel_number
        field:
          type: text
          width: 50
      -
        handle: email
        field:
          input_type: text
          antlers: false
          display: Email
          type: text
          icon: text
          width: 50
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
          validate:
            - required
      -
        handle: address
        field:
          type: text
      -
        handle: social_media_links
        field:
          collapse: false
          previews: true
          sets:
            new_set:
              display: 'New Set'
              fields:
                -
                  handle: icon_header
                  field:
                    mode: list
                    container: assets
                    restrict: false
                    allow_uploads: true
                    show_filename: true
                    max_files: 1
                    display: 'Icon Header'
                    type: assets
                    icon: assets
                    listable: hidden
                    instructions_position: above
                    visibility: visible
                    always_save: false
                    validate:
                      - required
                    width: 50
                -
                  handle: icon_footer
                  field:
                    mode: list
                    container: assets
                    restrict: false
                    allow_uploads: true
                    show_filename: true
                    max_files: 1
                    display: 'Icon Footer'
                    type: assets
                    icon: assets
                    width: 50
                    listable: hidden
                    instructions_position: above
                    visibility: visible
                    always_save: false
                    validate:
                      - required
                -
                  handle: url
                  field:
                    input_type: text
                    antlers: false
                    display: URL
                    type: text
                    icon: text
                    listable: hidden
                    instructions_position: above
                    visibility: visible
                    always_save: false
          display: 'Social Media Links'
          type: replicator
          icon: replicator
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
          validate:
            - required
